﻿header .navbar {
    padding-top: 0.469rem;
    padding-bottom: 0.469rem;
    /*    padding-left: 30px;
    padding-right: 30px;*/
    box-shadow: 0px 1px 14px 0px rgba(0, 0, 0, 0.09)
}

header .navbar-nav {
/*    justify-content: space-between;*/
    justify-content: flex-end;
    align-items: center;
    width: 100%;
}

header .navbar-brand {
    border: none!important;
}

header .navbar-nav .nav-item {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

header .navbar-nav .nav-link {
    color: #484848;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.32px;
    position: relative;
    padding-left: 0!important;
    padding-right: 0!important;
}

header .navbar-nav .nav-link:hover {
    color: #0B1BA2;
}

header .navbar-nav .nav-link.active {
    color: #0B1BA2;
}

header .navbar-nav .nav-link.active::before {
    content: "";
    display: block;
    width: 100%;
    height: 3px;
    background: #0B1BA2;
    position: absolute;
    bottom: 5px;
    left: 50%;
    transform: translateX(-50%);
}

header .btn-language {
    border: 1px solid #001093;
    color: #484848 !important;
    font-size: 22px;
    font-weight: 500;
    text-decoration: none !important;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 40px;
    cursor: pointer;
    z-index: 1;
}

header .btn-language .img-language {
    display: block;
     background-image: url(../images/icon/flag-th.png);
     background-repeat: no-repeat;
     background-size: 20px;
     width: 20px;
     height: 20px;
     transition: all 0.1s linear;
}

header .btn-language .img-language.en {
    background-image: url(../images/icon/flag-en.png);
}

header .dropdown-menu {
    border: 0;
    border-radius: 0;
}

header .dropdown-item {
    font-size: 14px;
    color: #484848!important;
}

header .dropdown-item:focus,
header .dropdown-item:hover,
header .dropdown-item.active,
header .dropdown-item:active{
    background-color: #e9ecef !important;
    color: #484848!important;
}


header .navbar-nav .nav-link.dropdown-toggle::after {
    border: 0 !important;
    background-image: url(../images/icon/arrow-down-head.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 10px;
    height: 5px;
    position: relative;
    top: 1px;
}

header .navbar-nav .nav-link.dropdown-toggle:hover::after {
    background-image: url(../images/icon/arrow-down-head-blue.png);
}

footer {
    background: linear-gradient(180deg, #8BE7FF 0%, #0B1BA2 100%);
    color: #FFF;
    font-size: 16px;
    text-align: center;
}

.wrapper {
    background-image: url(../images/bg/frontend.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #F9F9F9;
    padding-top: 80px;
}

h1, .h1 {
    font-size: 22px;
}

h2, .h2 {
    font-size: 20px;
}

h3, .h3 {
    font-size: 18px;
}

h4, .h4 {
    font-size: 18px;
}

h5, .h5 {
    font-size: 16px;
}

h6, .h6 {
    font-size: 14px;
}

.form-select {
    padding-top: 8.5px;
    padding-bottom: 8.5px;
    border: 1px solid #754C29;
    color: #754C29;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.7px;
    outline: none!important;
    box-shadow: none!important;
}

.form-select:focus {
    border-color: #0B1BA2;
}

.text-mail {
    position: relative;
    padding-left: 25px;
    word-wrap: break-word;
}

.text-mail:before {
    content: "";
    background-image: url(../images/icon/envelope.png);
    background-repeat: no-repeat;
    background-size: 15px;
    width: 15px;
    height: 15px;
    margin-right: 10px;
    position: absolute;
    left: 0;
    top: 2px;
}

.text-mail.dt:before {
     top: 5px;
}

.bg-overlay-gold {
    background: rgba(207, 173, 126, 0.20);
}

.bg-overlay-blue {
    background: rgba(11, 27, 162, 0.20);
}

.item-service {
    display: block;
    border: 2px solid #0B1BA2;
    background: rgba(255, 255, 255, 0.70);
    color: #0B1BA2 !important;
    font-family: 'Noto Sans Thai';
    font-size: 12px;
    font-weight: 400;
    line-height: 1.4;
    letter-spacing: 0.7px;
    text-decoration: none;
    text-align: center;
    padding: 12px 5px;
    position: relative;
}

.item-service img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 10px;
    width: 70px;
    height: 70px;
    object-fit: contain;
    transition: transform .2s; 
}

.item-service:hover img {
    transform: scale(1.2);
}

.item-service .item-service-text {
    display: block;
    min-height: 60px;
    word-wrap: break-word;
}

.item-service .item-service-text-no-photo {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-height: 188.4px;
    word-wrap: break-word;
}

.item-service .label-new {
    background-color: #FF6464;
    width: 50px;
    height: 20px;
    color: #FFF;
    font-size: 10px;
    position: absolute;
    top: 20px;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.item-advisor {
    text-decoration: none !important;
    color: #484848 !important;
}

.item-advisor .text-mail {
    font-size: 12px;
}

.item-advisor:hover .photo-thumb .photo {
    transform: scale(1.2); 
}

.nav-tabs-main {
    border-bottom: 0;
}

.nav-tabs-main .nav-link {
    color: #C1C1C1;
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
    letter-spacing: 1.3px;
    background-color: transparent!important;
    border: 0!important;
    padding: 0 40px 0 0;
}

.nav-tabs-main .nav-item.show .nav-link, .nav-tabs-main .nav-link.active {
    color: #001093!important;
}

.photo-thumb.legal-advisor {
    padding-bottom: 146%;
}

.box-contact {
    width: 460px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 14px;
    font-style: normal;
    line-height: 31px;
    letter-spacing: 0.36px;
    padding: 30px;
    box-shadow: 0px 1px 24px 0px rgba(0, 0, 0, 0.15);
}

.box-contact h1 {
    font-size: 32px;
}

.quote-group .quote-row {
    border-bottom: 2px solid #0B1BA2;
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.quote-group .quote-row:last-child {
    border: 0;
}

.quote {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    position: relative;
}

.quote::before {
    content: "";
    display: block;
    background-image: url(../images/icon/quote-open.png);
    background-repeat: no-repeat;
    background-size: 34px 30px;
    width: 34px;
    height: 30px;
    position: absolute;
    left: 0;
    top: 0;
}

.quote::after {
    content: "";
    display: block;
    background-image: url(../images/icon/quote-close.png);
    background-repeat: no-repeat;
    background-size: 34px 30px;
    width: 34px;
    height: 30px;
    position: absolute;
    right: 0;
    bottom: 22%;
}

.quote h3 {
    color: #484848;
    letter-spacing: 0.26px;
    line-height: 1.4;
    padding: 0 50px;
}

.quote h6 {
    color: #A1A1A1;
    letter-spacing: 0.16px;
    padding: 0 50px;
    margin-top: -12px;
    margin-bottom: 18px;
}

.quote p {
    color: #A1A1A1;
    letter-spacing: 0.16px;
    padding: 0 50px;
}

.quote .logo-company {
    border: 1px solid #0B1BA2;
    border-radius: 50%;
    object-fit: cover;
}

.border-img {
    position: relative;
}

.border-img {
    display: block;
    border: 4px solid #0B1BA2;
    opacity: 0.4;
    position: absolute;
    top: 20px;
    left: -20px;
}

.border-img.type2 {
    left: 20px;
}

.img-portrait {
    position: relative;
}

.lSSlideOuter .lSPager.lSpg > li a {
    background-color: #D9D9D9 !important;
    border-radius: 10px !important;
    height: 10px !important;
    width: 10px !important;
}

.lSSlideOuter .lSPager.lSpg > li.active a {
    background-color: #0B1BA2 !important;
}

.lSSlideWrapper .lSSlide {
    display: flex;
    justify-content: center;
    align-items: center;
}

.sider-artical-group .lSSlideOuter .lightSlider img {
    max-width: 80%!important;
    height: 214px!important;
    object-fit: contain!important;
}

.sider-artical-group .lSSlideOuter .lSPager.lSGallery img {
    width: 100% !important;
    height: 50px !important;
    object-fit: contain !important;
    border: 1px solid #0B1BA2;
}

.sider-artical-group .lSSlideOuter .lSPager.lSGallery {
    margin-left: auto;
    margin-right: auto;
}

.hero-slider .lSPager {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%) !important;
}

.hero-slider .lSSlideOuter {
    position: relative;
    margin-bottom: 0;
}

.hero-content {
    position: relative;
}

.hero-content .card-news {
    position: absolute;
    bottom: 10px;
}

.hero-content .card-news .card-title {
    color: #FFF;
    font-size: 14px;
    letter-spacing: 0.24px;
}

.hero-content .card-news .card-text {
    color: #BCBCBC;
    font-size: 10px;
    letter-spacing: 0.6px;
}

.hero-content .card-news .date-text {
     color: #BCBCBC;
     font-size: 10px;
     letter-spacing: 0.67px;
}

.hero-content::before {
    content: "";
    background: linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0.00) 76.14%);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.col-card-slider .lSPager {
    position: absolute;
    bottom: 15px;
    left: 42%;
}

.col-card-slider .lSSlideOuter {
    position: relative;
    margin-bottom: 0;
}

.col-card-slider .card-body {
    padding-bottom: 40px;
/*    height: 178px;*/
}

.col-card-minor {
/*    display: flex;*/
    flex-direction: column;
    justify-content: space-between;
}

.col-card-minor .card-news.sm:last-child {
    margin-bottom: 0!important;
}

/*.col-card-minor .photo-thumb {
    padding-bottom: 0;
    height: 150px;
}*/

.col-card-minor .card-body {
    padding: 5px 10px;
}

.col-card-minor .card-news .photo-thumb .photo {
    background-size: cover;
}

.calendar-ic {
    display: block;
    background-image: url(../images/icon/calendar-gray.png);
    background-repeat: no-repeat;
    background-size: contain;
    width: 14px;
    height: 14px;
}

.datepicker {
    padding-top: 8.5px!important;
    padding-bottom: 8.5px!important;
}

.input-group.date .calendar-ic {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 3;
}

.datepicker table tr td.active, .datepicker table tr td.active:hover, .datepicker table tr td.active.disabled, .datepicker table tr td.active.disabled:hover {
    background-color: #0B1BA2 !important;
    background-image: none !important;
    color: #FFFFFF !important;
}

.box-search {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
    z-index: 1030;
    display: none;
}

.box-search .box-inner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    max-width: 785px;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 20px;
}

.box-search h1 {
    font-size: 35px;
    font-size: 3.5rem;
}

.box-search .search-icon {
    background-image: url(../images/icon/search.png);
    background-repeat: no-repeat;
    background-size: 25px;
    width: 25px;
    height: 25px;
    position: absolute;
    left: 10px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

.box-search .form-control {
    border: 1px solid #C1C1C1;
    border-radius: 10px;
    height: 55px;
    padding-left: 40px;
    padding-right: 115px;
    font-size: 14px;
    font-size: 1.4rem;
    color: #000000;
}

.box-search .btn-brand {
    border-radius: 50px;
    font-size: 14px;
    line-height: 1.2;
    color: #ffffff !important;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    min-width: 100px;
    box-shadow: none!important;
}

.box-search .btn-close {
    background-image: url(../images/icon/close-white.png);
    background-repeat: no-repeat;
    background-size: 30px;
    width: 30px;
    height: 30px;
    position: absolute;
    top: 20px;
    right: 20px;
    box-shadow: none!important;
}

.box-search .btn-close::before {
    position: absolute;
    content: "";
    top: -50px;
    right: -50px;
    left: -50px;
    bottom: -50px;
}

.search-toggle {
    cursor: pointer;
}

.search-toggle .ic-search {
    display: block;
    background-image: url(../images/icon/search.png);
    background-repeat: no-repeat;
    background-size: 25px;
    width: 25px;
    height: 25px;
    transition: all 0.3s linear;
}

.search-toggle:hover .ic-search {
    background-image: url(../images/icon/search-blue02.png);
}

.btn-border-radius {
    border-radius: 50px;
}

.card-title-search {
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.673px;
    color: #000000;
}

.text-indent {
    text-indent: 2em;
}

@media (min-width: 576px) {
    h1, .h1 {
        font-size: 42px;
    }
    h2, .h2 {
        font-size: 30px;
    }
    h3, .h3 {
        font-size: 26px;
    }
    h4, .h4 {
        font-size: 20px;
    }
    h5, .h5 {
        font-size: 18px;
    }
    h6, .h6 {
        font-size: 16px;
    }
    .wrapper {
        padding-top: 80px;
    }
    .item-service {
        font-size: 14px;
    }
    .hero-slider .lSPager {
        bottom: 45px;
    }
    .hero-content .card-news {
        bottom: 40px;
    }
    .hero-content .card-news .card-title {
        font-size: 24px;
    }
    .hero-content .card-news .card-text {
        font-size: 12px;
    }
    .hero-content .card-news .date-text {
        font-size: 14px;
    }
    .sider-artical-group .lSSlideOuter .lightSlider img {
        max-width: 80% !important;
        height: 428px !important;
    }
    .sider-artical-group .lSSlideOuter .lSPager.lSGallery img {
        height: 100px !important;
    }
    .box-search .search-icon {
        left: 20px;
    }
    .box-search .form-control {
        padding-left: 50px;
        padding-right: 125px;
        font-size: 18px;
    }
    .box-search .btn-brand {
        right: 20px;
    }
    .item-service .label-new {
        width: 60px;
        height: 30px;
        font-size: 14px;
    }
}

@media (min-width: 768px) {
    .wrapper-border .row-border {
        border-bottom: 1px solid rgba(207, 173, 126, 0.6);
    }
    .wrapper-border .row-border:last-child {
        border-bottom: 0;
    }
    .wrapper-border .row-border .col-border {
        border-right: 1px solid rgba(11, 27, 162, 0.6);
    }
    .wrapper-border .row-border .col-border:last-child {
        border-right: 0;
    }
    .wrapper-border .row-border:first-child .btn-light-brand {
        margin-bottom: 25px;
    }
    .item-service img {
        width: 100px;
        height: 100px;
    }
    .quote-group .quote-row {
        padding-bottom: 40px;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: none;
    }
    .navbar .nav-item:hover .dropdown-menu {
        display: block;
    }
    .navbar .nav-item .dropdown-menu {
        margin-top: 0;
    }
    .box-contact {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        padding: 40px 45px;
        min-height: 425px;
        border-radius: 10px;
        font-size: 18px;
    }
    .box-contact h1 {
        font-size: 50px;
    }
    .quote {
        width: 80%;
    }
}

@media (min-width: 1200px) {
    header .navbar .navbar-brand {
        margin-right: 2.5rem;
    }
    .nav-tabs-main .nav-link {
        font-size: 26px;
    }
    .col-card-slider .lSSlideOuter {
        /*        height: 575px;*/
        height: 585px;
    }
}

@media (max-width: 1199px) {
    header .navbar-nav .nav-link {
        font-size: 15px;
    }
}

@media (max-width: 991px) {
    header .navbar-toggler {
        outline: none !important;
        box-shadow: none !important;
    }
    header .navbar-toggler-icon {
        background-image: url(../images/icon/hamburger.png);
        background-repeat: no-repeat;
        background-size: 30px;
        width: 30px;
        height: 30px;
        transition: all .2s;
    }
    header .navbar-toggler,
    header .navbar-brand {
        z-index: 1;
    }
    header .navbar .navbar-collapse {
        background: #FFF;
        opacity: 0;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        transition: opacity 0.35s ease;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    header .navbar .navbar-collapse.collapse {
        display: flex;
        opacity: 0;
        pointer-events: none
     }
     header .navbar .navbar-collapse.collapsing[style*="height"] {
        opacity: 1;
        height: 100vh !important
     }
      header .navbar .navbar-collapse.collapsing {
        opacity: 0;
        height: 100vh
      }
      header .navbar .navbar-collapse.collapse.show {
        opacity: 1;
        pointer-events: auto
      }
      header .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
        background-image: url(../images/icon/close.png);
        background-size: 45px;
        width: 45px;
        height: 45px;
        transform: rotate(90deg);

      }
      header .navbar-nav .nav-item {
          text-align: center;
            padding-top: 2%;
          padding-bottom: 2%;
      }
      header .dropdown-menu {
          text-align: center;
          padding-top: 0;
      }
      header .dropdown-item {
          padding-top: 4%;
          padding-bottom: 4%;
      }
      header .btn-language {
          margin-top: 10px;
      }
    .embed-map .embed-responsive-item {
        width: 100%;
        height: 210px;
    }
    .box-contact {
        width: 100%;
        padding-left: 20px;
        padding-right: 20px;
    }
}

    @media (max-width: 767px) {
        .wrapper-border .row-border .col-border {
            position: relative;
        }

            .wrapper-border .row-border .col-border::after {
                content: "";
                display: block;
                background-color: rgba(207, 173, 126, 0.6);
                width: 100%;
                height: 1px;
                position: absolute;
                margin-left: auto;
                margin-right: auto;
                width: 95%;
                margin-top: 20px;
            }

            .wrapper-border .row-border .col-border:last-child::after {
                display: none;
            }

        .row-service {
            margin-left: -5px !important;
            margin-right: -5px !important;
        }

            .row-service .col-service {
                padding-left: 5px !important;
                padding-right: 5px !important;
            }
    }

    @media (max-width: 575px) {
        .nav-tabs-main {
            white-space: nowrap;
            flex-wrap: nowrap;
            overflow-x: auto;
        }

            .nav-tabs-main .nav-item {
                display: inline;
            }

            .nav-tabs-main .nav-link {
                padding-right: 20px;
            }
        .lSSlideOuter .lSPager.lSpg > li {
            padding: 0 4px;
        }
        .lSSlideOuter .lSPager.lSpg > li a {
            width: 8px;
            height: 8px;
        }
        .sider-artical-group .lSAction > .lSPrev {
            left: 0 !important;
        }
        .sider-artical-group .lSAction > .lSNext {
            right: 0 !important;
        }
        .col-card-minor .card-body {
            height: 115px;
        }
        .col-card-minor .card-news .photo-thumb {
            padding-bottom: 0 !important;
            height: 115px;
        }
    }

    @media (max-width: 375px) {
        .item-service {
            padding-left: 0;
            padding-right: 0;
            font-size: 11px;
        }
    }

/* card ซ้าย ต้องเป็น flex column */
.col-feature-video .card-news {
    display: flex;
    flex-direction: column;
    height: 100%;
}

/* video ต้องกินพื้นที่ที่เหลือ */
.col-feature-video .video-wrap {
    position: relative;
    width: 100%;
    height: 100%; /* จุดนี้สำคัญ */
    flex-grow: 1;
    background: #000;
    overflow: hidden;
}


/* iframe เต็ม video-wrap */
.col-feature-video .video-wrap iframe {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    margin: auto;
    border: 0;
}

@media (min-width: 992px) {
    .col-l-vdo-vtc {
        flex: 0 0 auto;
        width: 20%;
    }

    .col-r-vdo-vtc {
        flex: 0 0 auto;
        width: 80%;
    }
}

@media (max-width: 991px) {
  .col-feature-video .video-wrap {
      position: relative;
      width: 100%;
      aspect-ratio: 16 / 9; 
      background: #000;
  }

  .col-feature-video .video-wrap iframe {
      position: absolute;
      inset: 0;
      width: 100%;
      height: 100%;
      border: 0;
  }
}

